*{
    margin: 0;
    padding: 0;
}

.container{
    height: 25%;
    width: 30%;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #fff;
}

.icons a{
    display: inline-flex;
    width: 55px;
    height: 55px;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    font-size: 40px;
    background-size: 100% 200%;
    background-position: 0% 2.5%;
    transition: background-position 0.5s, color 0.5s;
    margin: 10px;
    box-shadow: 0 10px 10px rgba(0, 0, 0, 0.1);
}

.icons a:nth-child(1){
    color: #3b5998;
    background-image: linear-gradient(#fff 50%, #3b5998 50%);
}

.icons a:nth-child(2){
    color: #c4302b;
    background-image: linear-gradient(#fff 50%, #c4302b 50%);
}

.icons a:nth-child(3){
    color: #00acee;
    background-image: linear-gradient(#fff 50%, #00acee 50%);
}

.icons a:nth-child(4){
    color: #34526f;
    background-image: linear-gradient(#fff 50%, #34526f 50%);
}

.icons a:hover{
    background-position: 0% 100%;
    color: #fff;
}
